### Name: sge.parApply
### Title: Method used to integrate apply, lapply, sapply fcuntionality
###   with qsub.
### Aliases: sge.parParApply sge.parRapply sge.parCapply sge.parLapply
###   sge.parSapply sge.apply
### Keywords: interface

### ** Examples

## Not run:   
##D  # there are tons of examples (actually my crude unit tests)
##D  # in the tests directory of this package. These contain tons of 
##D  # examples of how to dop everything
##D  # I also recommend taking a look at the ENVIRONMENTS document, since 
##D  # the environment is being handled specially. 
##D 
##D  # basic lapply call
##D  sge.parLapply(c(1:10), function(x) x + 1)
##D  # run locally
##D  options(sge.use.cluster=FALSE)
##D  sge.parLapply(c(1:10), function(x) x + 1)
##D  options(sge.use.cluster=TRUE)
##D  #pass extra arguments
##D  sge.parLapply(c(1:10), function(x,y) x + y, 3) 
##D 
##D  # work with martices
##D  m2 <- array(1:20, dim=c(4,5))
##D  # apply rows, split into 3 jobs
##D  sge.parRapply(m2, function(x,y) x + y, 3, njobs=3)
##D  # bind results with c, since we are changing dimensions
##D  sge.parRapply(m2, mean, njobs=3, join.method=c)
##D 
##D  # working with GLOBAL variables
##D  GLOBAL1 = 1
##D  # rather this variable is saved by default depends on the value of sge.save.global
##D  sge.options(sge.save.global=TRUE)
##D  sge.parLapply(c(1:10), function(x) x + GLOBAL1)
##D  sge.options(sge.save.global=FALSE)
##D  sge.parLapply(c(1:10), function(x) x + GLOBAL1, global.savelist=c("GLOBAL1"))
## End(Not run)



