### Name: sge.submit
### Title: Performs an asynchronous submission of a function to the remote
###   node
### Aliases: sge.submit sge.run
### Keywords: interface

### ** Examples


## Not run: 
##D #execute this easy function on the cluster
##D   info <- sge.submit(function(x) {
##D                        Sys.sleep(x)
##D                        x
##D                     }, 10)
##D #check the status by passing the job id
##D   status <- sge.job.status(info$jobid)
##D   while(status != 0) {
##D #continue to check the status, until job is completed
##D     Sys.sleep(4)
##D     status <- sge.job.status(info$jobid)
##D   }
##D #once we sure sure that the job is finished, retrieve the results
##D   result <- sge.list.get.result(info)
##D 
##D # this is a more complicated example that shows how lists can be used to store 
##D # multiple results
##D 
##D   v1 <- c(1:10)
##D   func1 <- function(x) {
##D     Sys.sleep(x)
##D     x
##D   }
##D 
##D   l1 <- list(length=length(v1))
##D   for(i in 1:length(v1)) {
##D     l1[[i]] <- sge.submit(func1, v1[[i]])
##D   }
##D 
##D   r1 <- lapply(l1, sge.job.status)
##D   while(! all(r1 == 0)) {
##D     Sys.sleep(4)
##D     r1 <- lapply(l1, sge.job.status)
##D   }
##D # its ok to just pass the list of jobid and filename
##D   x1Par <- lapply(l1, sge.list.get.result)
## End(Not run)



